Introduction

These pages offer a detailed reference on our REST API endpoints. Use the navigation menu on the left to view specific endpoint descriptions.

Trying out the API

You can explore and test endpoints directly using standard API client tools.

Using OpenAPI / Swagger

To learn how to test the endpoints using OpenAPI, read Developer Tools in the User Guides.

Using Postman

To test the endpoints in Postman, use your Agent Studio host address (such as https://mycompany.indico.io) as the base URL.

Authenticate as described below.

Authentication

To authenticate on the API server:

  1. Download an API Token as described in Obtaining an API Token.
  2. Make a request to POST /restapi/api/v1/auth/refreshToken.
  3. Use the access_token value in the response as a Bearer token in the API endpoint requests.

The access token has a 15-minute lifespan and can be refreshed by another call to refreshToekn.

Client Libraries

Indico offers client libraries that wrap the API. To learn more, read the Developer Guides.